Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest
Class Merge

    java.lang.Object
      com.sun.tdk.signaturetest.Result
          com.sun.tdk.signaturetest.SigTest
              com.sun.tdk.signaturetest.Merge

All Implemented Interfaces:
  Log, PluginAPI

    public class Merge

extends SigTest

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.tdk.signaturetest.plugin.PluginAPI
`PluginAPI.InjectionPoint`

Field Summary
`static java.lang.String` | `BINARY_OPTION`
`static java.lang.String` | `FILES_OPTION`
`static java.lang.String` | `WRITE_OPTION`

Fields inherited from class com.sun.tdk.signaturetest.SigTest
`ALLPUBLIC_OPTION, apiVersion, APIVERSION_OPTION, BACKWARD_ALT_OPTION, BACKWARD_OPTION, cacheSize, CLASSCACHESIZE_OPTION, classpath, CLASSPATH_OPTION, classpathStr, debug, DEBUG_OPTION, DefaultCacheSize, ERRORALL_OPTION, errorMessages, errors, EXCLUDE_OPTION, excludedPackages, EXTENSIBLE_INTERFACES_OPTION, FILENAME_OPTION, FORMATHUMAN_ALT_OPTION, FORMATHUMAN_OPTION, FORMATPLAIN_OPTION, HELP_OPTION, isStatic, isTigerFeaturesTracked, isVerbose, normalizer, NOWARN, nowarnings, OUT_OPTION, PACKAGE_OPTION, packages, PLUGIN_OPTION, pluginClass, purePackages, QUESTIONMARK, reportWarningAsError, sigFileName, sigFileNameList, STATIC_OPTION, testableHierarchy, testableMCBuilder, testURL, TESTURL_OPTION, trackMode, VERBOSE_OPTION, VERSION_OPTION, WITHOUTSUBPACKAGES_OPTION, XNOTIGER_OPTION, XVERBOSE_OPTION`

Fields inherited from class com.sun.tdk.signaturetest.Result
`NO_EXIT`

Fields inherited from interface com.sun.tdk.signaturetest.plugin.PluginAPI
`AFTER_BUILD_MEMBERS, AFTER_CLASS_CORRECTOR, BEFORE_MESSAGE_SORT, BEFORE_TEST, BEFORE_WRITE, CLASS_CORRECTOR, IS_CLASS_ACCESSIBLE, ON_CLASS_LOAD`

Constructor Summary
`Merge()`

Method Summary
`void` | `decodeOptions(java.lang.String optionName, java.lang.String[] args)`
`protected java.lang.String` | `getComponentName()`
`protected static Merge` | `getInstance()`
`static void` | `main(java.lang.String[] args)` Run the test using command-line; return status via numeric exit code.
`void` | `run(java.lang.String[] args, java.io.PrintWriter pw, java.io.PrintWriter ref)` This is the gate to run the test with the JavaTest application.
`protected void` | `usage()` Prints help text.

Methods inherited from class com.sun.tdk.signaturetest.SigTest
`addFormat, addInherited, decodeCommonOptions, getClassDescrLoader, getContext, getErrorManager, getFileManager, getFilter, getLog, getNumErrors, getNumWarnings, getTransformer, initErrors, isConstantValuesTracked, isPackageMember, load, loadPlugin, normalizeArrayParaemeters, printErrors, removeUndocumentedAnnotations, setClassDescrLoader, setConstantValuesTracked, setErrorManager, setFilter, setFormat, setLog, setMessageTransformer, setTransformer, setupProblem, storeError, storeWarning, unpackContainerAnnotations, useErasurator`

Methods inherited from class com.sun.tdk.signaturetest.Result
`error, exit, failed, getReason, isPassed, notrun, passed, passed, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILES_OPTION

    public static final java.lang.String FILES_OPTION

See Also:
  Constant Field Values

### WRITE_OPTION

    public static final java.lang.String WRITE_OPTION

See Also:
  Constant Field Values

### BINARY_OPTION

    public static final java.lang.String BINARY_OPTION

See Also:
  Constant Field Values

Constructor Detail

### Merge

    public Merge()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Run the test using command-line; return status via numeric exit code.

  See Also:
    `run(String[],PrintWriter,PrintWriter)`

### getInstance

    protected static Merge getInstance()

### run

    public void run(java.lang.String[] args,
                    java.io.PrintWriter pw,
                    java.io.PrintWriter ref)

  This is the gate to run the test with the JavaTest application.

  Parameters:
    `pw` - This log-file is used for error messages.
    `ref` - This reference-file is ignored here.
  See Also:
    `main(String[])`

### decodeOptions

    public void decodeOptions(java.lang.String optionName,
                              java.lang.String[] args)
                       throws CommandLineParserException

  Throws:
    `CommandLineParserException`

### usage

    protected void usage()

  Prints help text.

  Specified by:
    `usage` in class `SigTest`

### getComponentName

    protected java.lang.String getComponentName()

  Specified by:
    `getComponentName` in class `SigTest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD